Skip to main content
GET
/
v1
/
salesOrders
/
{salesOrderId}
/
files
/
{salesOrderFileId}
Query Sales Order File Data
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/files/{salesOrderFileId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
"aSDinaTvuI8gbWludGxpZnk="

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
integer<int32>
required

The id of the sales order that the file belong to.

salesOrderFileId
integer<int32>
required

The unique identifier of the sales order file.

Response

The requested file data.

The response is of type string<byte>.